> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kineticsystems.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Execution



## OpenAPI

````yaml openapi.json post /api/executions/{execution_uuid}/retry
openapi: 3.1.0
info:
  title: Kinetic API
  version: 0.1.0
servers: []
security: []
paths:
  /api/executions/{execution_uuid}/retry:
    post:
      tags:
        - executions
      summary: Retry Execution
      operationId: retry_execution_api_executions__execution_uuid__retry_post
      parameters:
        - name: execution_uuid
          in: path
          required: true
          schema:
            type: string
            title: Execution Uuid
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ExecutionResponse:
      properties:
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        execution_uuid:
          type: string
          title: Execution Uuid
        workflow_version_uuid:
          type: string
          title: Workflow Version Uuid
        workflow_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Uuid
        workflow_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Name
        status:
          anyOf:
            - type: string
              enum:
                - queued
                - running
                - paused
                - completed
                - failed
            - type: 'null'
          title: Status
        input_payload:
          anyOf:
            - {}
            - type: 'null'
          title: Input Payload
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        n_steps:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Steps
        n_agent_actions:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Agent Actions
        n_screenshots:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Screenshots
        output_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Url
        video_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Video Url
        logs_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logs Url
      type: object
      required:
        - execution_uuid
        - workflow_version_uuid
      title: ExecutionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Kinetic-Key
      description: Your Kinetic API key

````